<template>
	<view class="container">
		<view class="pay-box">
			<image class="pay-img" src="@/static/images/paySuccess.png"></image>
			<p class="pay-text">核销成功</p>
			<p class="pay-text1" @click="toVerificationList">查看核销记录</p>
		</view>

		<view class="pay-btn-box">
			<button class='btn btn1' @click='handlerSkipBtn(1)'>继续核销</button>
			<button class='btn btn2' @click='handlerSkipBtn(2)'>返回首页</button>
		</view>





	</view>
</template>

<script>
	export default {
		data() {
			return {

			}
		},
		methods: {
			toVerificationList() {
				uni.navigateTo({
					url: "/pageMerchant/storeModule/components/verificationList"
				})
			},
			handlerSkipBtn(e) {
				switch (e) {
					case 1:
						uni.navigateTo({
							url: "/pageMerchant/storeModule/commodityWriteOff"
						})
						break;
					case 2:
						uni.navigateTo({
							url: "/pageMerchant/index"
						})
						break;
				}

			}
		}
	}
</script>

<style lang="scss" scoped>
	.container {
		padding-top: 20%;

		.pay-box {
			text-align: center;
			padding-top: 100rpx;

			.pay-img {
				width: 160rpx;
				height: 160rpx;
				border-radius: 50%;
			}

			.pay-text {
				font-weight: bold;
				font-size: 42rpx;
				margin-top: 60rpx;
			}

			.pay-text1 {
				font-weight: bold;
				font-size: 42rpx;
				margin-top: 60rpx;
				color: blue
			}
		}

		.pay-btn-box {
			display: flex;
			justify-content: space-evenly;
			margin-top: 400rpx;

			.btn {
				width: 45%;
				border-radius: 38rpx;
				font-size: 32rpx;
			}

			.btn1 {
				background-color: #7785DB;
				color: #fff;
			}

			.btn2 {
				background-color: #FF6201;
				color: #fff;
			}
		}
	}
</style>